Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt
Interface IBrowserHistory

public interface IBrowserHistory

This interface provides methods to use the browser's history for navigating within the application. It is possible to create a history entry at the top of the history stack and to handle a navigation change event.

Note that the browser history exists once per session, so using the `IBrowserHistory` is only possible within the session context.

This interface is not intended to be implemented by clients.

Since:
  1.3

Method Summary
`void` `addBrowserHistoryListener(BrowserHistoryListener listener)` Adds a `BrowserHistoryListener` to the history support.
`void` `createEntry(java.lang.String id, java.lang.String text)` Creates an entry in the browser history.
`void` `removeBrowserHistoryListener(BrowserHistoryListener listener)` Removes a `BrowserHistoryListener` from the history support.

Method Detail

### createEntry

    public void createEntry(java.lang.String id,
                            java.lang.String text)

  Creates an entry in the browser history.

  Parameters:
    `id` - Identifies the entry and should be unique among all entries. It is usually visible for the user within the address bar of the browser. Must neither be `null` not empty.
    `text` - A text for the user to identify the entry in the browser's UI or `null`.

### addBrowserHistoryListener

    public void addBrowserHistoryListener(BrowserHistoryListener listener)

  Adds a `BrowserHistoryListener` to the history support.

  Parameters:
    `listener` - the `BrowserHistoryListener`. Must not be `null`.

### removeBrowserHistoryListener

    public void removeBrowserHistoryListener(BrowserHistoryListener listener)

  Removes a `BrowserHistoryListener` from the history support.

  Parameters:
    `listener` - the `BrowserHistoryListener`. Must not be `null`.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.